---
title: "Get M&A deals for a company"
url: "https://developer.argaam.com/apis/ma-transactions-layer-api-production-v1/versions/b96972fa-b9a4-4989-9c25-cdd3473fab7f/operations/getCompaniesByStockSymbolMergersAcquisitions"
---

> Full API specification: https://developer.argaam.com/apis/ma-transactions-layer-api-production-v1/versions/b96972fa-b9a4-4989-9c25-cdd3473fab7f.md

# Get M&A deals for a company

`GET` `/api/v1.1/companies/{stockSymbol}/mergers-acquisitions`

Operation ID: `getCompaniesByStockSymbolMergersAcquisitions`

Returns the M&A deals for the company identified by `stockSymbol`.

## Path parameters

- `stockSymbol` (string, required) - Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: M&A & Transactions Layer API
  version: v1.1
servers:
  - url: https://api.argaam.com
    description: Argaam API Gateway (Production)
paths:
  /api/v1.1/companies/{stockSymbol}/mergers-acquisitions:
    get:
      tags:
        - Companies
      parameters:
        - name: stockSymbol
          in: path
          required: true
          schema:
            type: string
          example: "2222"
          description: Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ApiV1Response"
      summary: Get M&A deals for a company
      description: Returns the M&A deals for the company identified by `stockSymbol`.
      operationId: getCompaniesByStockSymbolMergersAcquisitions
security:
  - ApiKeyAuth: []
components:
  schemas:
    ApiV1Response:
      type: object
      properties:
        success:
          type: boolean
        apiVersion:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        requestId:
          type: string
          nullable: true
        data:
          nullable: true
        meta:
          $ref: "#/components/schemas/ApiV1Meta"
        rateLimit:
          $ref: "#/components/schemas/ApiV1RateLimit"
      additionalProperties: false
    ApiV1Meta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalRecords:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
          readOnly: true
        hasNextPage:
          type: boolean
          readOnly: true
        hasPreviousPage:
          type: boolean
          readOnly: true
      additionalProperties: false
    ApiV1RateLimit:
      type: object
      properties:
        limit:
          type: integer
          format: int32
        remaining:
          type: integer
          format: int32
        reset:
          type: string
          format: date-time
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
